ssget at a specific point

I am trying to use the following code to check for the presence of an entity at
a specific point but the results are affected by
whether objects fall within the current pickbox.
(ssget point_test '((0 . "LINE")))
Is there a way to select at specific point, perhaps even allowing for a specific
amount of tolerence?
I have also tried:
(ssget "c" point_test point_test)
when zoomed out far enough returns nearby lines as well.
Thanks
Cliff
Reply to
Cliff Davis
Loading thread data ...
I am trying to use the following code to check for the presence of an entity at a specific point but the results are affected by whether objects fall within the current pickbox.
(ssget point_test '((0 . "LINE"))) Is there a way to select at specific point, perhaps even allowing for a specific amount of tolerance?
I have also tried: (ssget "c" point_test point_test) when zoomed out far enough returns nearby lines as well.
Thanks Cliff
Reply to
Cliff Davis
HiHo;
(ssget "W" '(0 0) '(5 5)) Creates a selection set of the objects inside the window from (0,0) to (5,5) Replace '(0 0) '(5 5) with '(your coord) '(your coord) ............................................................................ .............................
entity at a specific point but the results are affected by
specific amount of tolerence?
Reply to
bestafor
What about setting the pickbox to zero beforehand, and then restoring it later?
Reply to
Michael Bulatovich
Try using "nentselp" instead, then if it finds an entity test to see if it is a line...... but even this won't work if the point happens to be an intersect point of 2 or more entities.....
HTH, Jeff
at a specific point but the results are affected by
specific amount of tolerance?
Reply to
Jeff Mishler

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.